Bug 845956 - ibus backward trigger key is not customized in ibus-setup
ibus backward trigger key is not customized in ibus-setup
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-06 05:37 EDT by Akira TAGOH
Modified: 2012-11-12 21:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-30 21:02:01 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch for ui/gtk3/panel.vala (26.61 KB, patch)
2012-08-13 05:18 EDT, fujiwara
no flags Details | Diff

  None (edit)
Description Akira TAGOH 2012-08-06 05:37:05 EDT
Description of problem:
The default key binding to enable/disable ibus is set to <Control>space though, IME switcher window is open with even ctrl+shift+space.

Version-Release number of selected component (if applicable):
ibus-1.4.99.20120428-2.fc17.x86_64

How reproducible:
always

Steps to Reproduce:
1.press ctrl+shift+space
2.
3.
  
Actual results:
IME switcher window is open

Expected results:
the window should be open as the trigger key is set to ctrl+space

Additional info:
it's not open with ctrl+alt+space say. I guess ibus may ignore shift key here?
Comment 1 fujiwara 2012-08-08 22:51:23 EDT
The Shift key is assigned as the reverse switching if a modifiers key(Control) is assigned in trigger keys.
I'd like to close this bug.
Comment 2 Akira TAGOH 2012-08-09 00:11:21 EDT
where is it defined? how to stop this behavior?
Comment 3 fujiwara 2012-08-09 00:27:47 EDT
(In reply to comment #2)
> where is it defined? how to stop this behavior?

I mean it's hard-coded and I'd like to close this bug.
Comment 4 Akira TAGOH 2012-08-09 01:36:06 EDT
hardcoding the key binding sounds not a good idea. I don't see why you are about to close this without any solutions.
Comment 5 fujiwara 2012-08-09 01:43:12 EDT
(In reply to comment #4)
> hardcoding the key binding sounds not a good idea. I don't see why you are
> about to close this without any solutions.

Do you want to disable the Control+Shift+space?
My understanding is, MS-Windows switches input methods with Windows + space and the Windows + Shift +space for the reverse conversion. And I didn't think users need the customization for the shift reverse.
Comment 6 Akira TAGOH 2012-08-09 01:53:02 EDT
the summary on this bug says it all. whether or not disabling ctrl+shift+space is the side-effects on that complaint. on GNOME 3.6, it's also configurable. why not to have that in ibus?
Comment 7 fujiwara 2012-08-09 01:55:54 EDT
I confirmed you really need to modify it while I didn't think so.
Probably another dconf key will be added as GNOME does it.
Comment 8 fujiwara 2012-08-12 23:02:33 EDT
bad desc.
Comment 9 fujiwara 2012-08-13 05:18:21 EDT
Created attachment 603932 [details]
Patch for ui/gtk3/panel.vala

Tentative patch.
Comment 11 Fedora Update System 2012-08-22 08:17:31 EDT
ibus-1.4.99.20120822-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120822-1.fc18
Comment 12 Fedora Update System 2012-08-22 08:17:47 EDT
ibus-1.4.99.20120822-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ibus-1.4.99.20120822-1.fc17
Comment 13 Fedora Update System 2012-08-22 10:37:04 EDT
Package ibus-1.4.99.20120822-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ibus-1.4.99.20120822-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-12410/ibus-1.4.99.20120822-1.fc18
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2012-08-30 21:02:01 EDT
ibus-1.4.99.20120822-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2012-09-17 18:49:50 EDT
ibus-1.4.99.20120822-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Peng Huang 2012-11-12 21:07:01 EST
The Ctrl+Space shortcut works like Alt+Tab. The Shift modifier is just for changing the ime switch direction. Allowing users set two complete different shortcuts for ime swich may cause may problems. So I think just using one setting is better.
Comment 17 Akira TAGOH 2012-11-12 21:23:02 EST
Sure. if it's the way to go for ibus, I would request to disable that feature entirely. honestly I don't see any useful at all on displaying the switcher window. plus, it breaks usability. that feature considered harmful to me.
Comment 18 fujiwara 2012-11-12 21:53:51 EST
Recently I added a dconf key switcher-delay-time:
https://github.com/ibus/ibus/commit/dce22003c388a7274dc148161cf0e02f44d29ad6

If the key switcher-delay-time < 0, the IME switcher window is not shown and switches the first two engines only with Ctrl+space and Ctrl+Shift+space.
So I guess your problem might be resolved here without Ctrl+Shift+space customization through VM box problem still exists.

Note You need to log in before you can comment on or make changes to this bug.